import { async, ComponentFixture, TestBed } from '@angular/core/testing';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { CustomTreeGridComponent } from './custom-tree-grid.component';
import { IgxTreeGridModule, IgxDatePickerModule, IgxCheckboxModule } from 'igniteui-angular';

describe('CustomTreeGridComponent', () => {
  let component: CustomTreeGridComponent;
  let fixture: ComponentFixture<CustomTreeGridComponent>;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      declarations: [ CustomTreeGridComponent ],
      imports: [ BrowserAnimationsModule, IgxTreeGridModule, IgxDatePickerModule, IgxCheckboxModule ]
    })
    .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(CustomTreeGridComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
